<mat-toolbar *ngIf="auth.user$ | async" class="main-nav">
  <div fxShow="true" fxHide.gt-sm="true">
    <button mat-icon-button (click)="sidenav.toggle()">
      <mat-icon>menu</mat-icon>
    </button>
  </div>
  <div style="width: 320px; padding-top: 5px;">
    <a class="logo" routerLink="/" title="Startseite">
      <img *ngIf="settings?.logo; else noLogo" [src]="settings?.logo" alt="Startseite" title="Startseite" height="50px">
      <ng-template #noLogo>
          <img src="{{backend}}/static/img/test-logo.png" height="56px" alt="Logo"/>
          <div i18n> <p>davi</p><p>plan</p> </div>
      </ng-template>
    </a>
  </div>
  <span class="page-links" fxShow="true" fxHide.lt-md="true">
    <a *ngFor="let item of menuItems"
       class="link"
       [title]="item.name"
       [routerLink]="'/'+item.url"
       routerLinkActive="active-link"
       [routerLinkActiveOptions]="{exact: false}">
      {{item.name}}
    </a>
  </span>
  <span class="fill-space"></span>
  <button mat-icon-button fxHide.gt-md="true" mat-button [matMenuTriggerFor]="collapseMenu">
    <mat-icon>menu</mat-icon>
  </button>
  <mat-menu #collapseMenu>
    <a mat-menu-item routerLink="/impressum">Impressum</a>
    <a mat-menu-item routerLink="/datenschutz">Datenschutz</a>
    <a mat-menu-item *ngIf="!user || user.profile.isDemoUser" routerLink="/login">Login</a>
    <ng-container *ngIf="user && !user.profile.isDemoUser">
      <a mat-menu-item (click)="showProfile()">Profil</a>
      <a mat-menu-item (click)="logout()" href="">Logout</a>
    </ng-container>
  </mat-menu>
  <span fxHide.lt-lg="true">
    <button mat-button routerLink="/impressum"> Impressum </button>
    <button mat-button routerLink="/datenschutz"> Datenschutz </button>
    <button mat-button [matMenuTriggerFor]="profileMenu">
      <mat-icon>person_outline</mat-icon>
      {{(user)? user.username: 'Profil'}}
    </button>
    <mat-menu #profileMenu>
      <a mat-menu-item *ngIf="!user || user.profile.isDemoUser" routerLink="/login">Login</a>
      <ng-container *ngIf="user && !user.profile.isDemoUser">
        <a mat-menu-item (click)="showProfile()">Profil</a>
        <a mat-menu-item (click)="logout()" href="">Logout</a>
      </ng-container>
    </mat-menu>
  </span>
</mat-toolbar>
<mat-sidenav-container fxFlexFill>
  <mat-sidenav class="main-collapse" color="primary"
               #sidenav fxLayout="column" mode="over"
               opened="false">
    <div fxLayout="column">
      <a *ngFor="let item of menuItems"
         mat-button
         routerLinkActive="active-link"
         [routerLink]="'/'+item.url"
         [routerLinkActiveOptions]="{exact: false}">
        {{item.name}}
      </a>
    </div>
  </mat-sidenav>
  <mat-sidenav-content fxFlexFill>
    <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>

<ng-template #userTemplate>
  <table class="profile-table">
    <tr>
      <td i18n>Nutzername</td>
      <td><b>{{user?.username || '-'}}</b></td>
    </tr>
    <tr>
      <td i18n>Vorname</td>
      <td>{{user?.firstName || '-'}}</td>
    </tr>
    <tr>
      <td i18n>Nachname</td>
      <td>{{user?.lastName || '-'}}</td>
    </tr>
    <tr>
      <td i18n>E-Mail</td>
      <td>{{user?.email || '-'}}</td>
    </tr>
  </table>
  <mat-divider style="margin: 10px 0;"></mat-divider>
  <ng-container *ngIf="user?.isSuperuser">
    <b>ist Superuser</b> (voller Zugriff)
  </ng-container>
  <ng-container *ngIf="!user?.isSuperuser">
    <table>
      <ng-container *ngIf="!user?.isSuperuser">
        <tr>
          <td i18n>Kann Seite administrieren</td>
          <td><ng-container *ngIf="user?.profile?.adminAccess else nein"><b>ja</b></ng-container></td>
        </tr>
        <tr>
          <td i18n>Kann Grundlagendaten editieren</td>
          <td><ng-container *ngIf="user?.profile?.canEditBasedata else nein"><b>ja</b></ng-container></td>
        </tr>
        <tr>
          <td i18n>Kann Planungsprozesse anlegen</td>
          <td><ng-container *ngIf="user?.profile?.canCreateProcess else nein"><b>ja</b></ng-container></td>
        </tr>
        <ng-template #nein>nein</ng-template>
      </ng-container>
    </table>
    <mat-divider style="margin: 10px 0;"></mat-divider>
    Kann folgende Infrastrukturbereiche einsehen:
    <ng-container *ngIf="user && user.access.length > 0">
      <ul>
        <li *ngFor="let access of user?.access">
          {{getInfrastructure(access.infrastructure)?.name}}
          <ng-container *ngIf="access.allowSensitiveData">&nbsp;(inkl. sensible Daten)</ng-container>
        </li>
      </ul>
    </ng-container>
    <ng-container *ngIf="user && user.access.length === 0">
      &nbsp;<b>keine</b>
    </ng-container>
  </ng-container>
</ng-template>
